import {Component} from "./Tactic";

export type PlayerId = string

export enum PlayerTeam {
    Allies = "allies",
    Opponents = "opponents",
}

export interface Player {
    readonly id: PlayerId
}

export interface Player extends Component<"player"> {
    /**
     * the player's team
     * */
    readonly team: PlayerTeam

    /**
     * player's role
     * */
    readonly role: string

    /**
     * True if the player has a basketball
     */
    readonly hasBall: boolean
}

